Bug 541198 - Local NFS mount fails with DNS error when network down
Local NFS mount fails with DNS error when network down
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-11-25 03:10 EST by James Morris
Modified: 2010-12-06 09:01 EST (History)
1 user (show)

See Also:
Fixed In Version: nfs-utils-1.2.3-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-12-06 09:01:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Morris 2009-11-25 03:10:47 EST
Description of problem:

When I try and mount a local filesystem while disconnected from the network, the mount fails with a DNS error.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Drop network interfaces
2. mount -t nfs /mnt/test
Actual results:

mount.nfs: DNS resolution failed for Name or service not known

Expected results:


Additional info:

I noticed this in F11, too.  It seems that the tool is not using /etc/hosts (possibly an incorrect resolver library call).

This makes it difficult to do NFS development when disconnected from the network, such as when across a large ocean.
Comment 1 Steve Dickson 2009-12-10 15:06:22 EST
I believe this is fixed in nfs-utils-1.2.1-1... Please 
do an yum update nfs-utils and verify....
Comment 2 James Morris 2009-12-10 19:25:38 EST
Nope, still broken.
Comment 3 Steve Dickson 2010-12-06 09:01:46 EST
Fixed in nfs-utils-1.2.3-2.fc14

Note You need to log in before you can comment on or make changes to this bug.